org.eclipse.wst.jsdt.core.search

## Class LocalVariableReferenceMatch

- java.lang.Object
- - org.eclipse.wst.jsdt.core.search.SearchMatch
  - - org.eclipse.wst.jsdt.core.search.LocalVariableReferenceMatch

    public class LocalVariableReferenceMatch
    extends SearchMatch

A JavaScript search match that represents a local variable reference. The element is the inner-most enclosing member that references this local variable.

This class is intended to be instantiated and subclassed by clients.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Field Summary

### Fields inherited from class org.eclipse.wst.jsdt.core.search.SearchMatch

`A_ACCURATE, A_INACCURATE`

### Constructor Summary

Constructors
Constructor and Description
`LocalVariableReferenceMatch(IJavaScriptElement enclosingElement, int accuracy, int offset, int length, boolean isReadAccess, boolean isWriteAccess, boolean insideDocComment, SearchParticipant participant, IResource resource)` Creates a new local variable reference match.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isReadAccess()` Returns whether the local variable reference is a read access to the variable.
`boolean` `isWriteAccess()` Returns whether the local variable reference is a write access to the variable.

### Methods inherited from class org.eclipse.wst.jsdt.core.search.SearchMatch

`getAccuracy, getElement, getLength, getOffset, getParticipant, getResource, getRule, isEquivalent, isErasure, isExact, isImplicit, isInsideDocComment, isRaw, setAccuracy, setElement, setImplicit, setInsideDocComment, setLength, setOffset, setParticipant, setRaw, setResource, setRule, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LocalVariableReferenceMatch

    public LocalVariableReferenceMatch(IJavaScriptElement enclosingElement,
                                       int accuracy,
                                       int offset,
                                       int length,
                                       boolean isReadAccess,
                                       boolean isWriteAccess,
                                       boolean insideDocComment,
                                       SearchParticipant participant,
                                       IResource resource)

Creates a new local variable reference match.

Parameters:
  `enclosingElement` - the inner-most enclosing member that references this local variable
  `accuracy` - one of `SearchMatch.A_ACCURATE` or `SearchMatch.A_INACCURATE`
  `offset` - the offset the match starts at, or -1 if unknown
  `length` - the length of the match, or -1 if unknown
  `isReadAccess` - whether the match represents a read access
  `isWriteAccess` - whethre the match represents a write access
  `insideDocComment` - `true` if this search match is inside a doc comment, and `false` otherwise
  `participant` - the search participant that created the match
  `resource` - the resource of the element

### Method Detail

#### isReadAccess

    public final boolean isReadAccess()

Returns whether the local variable reference is a read access to the variable. Note that a local variable reference can be read and written at once in case of compound assignments (e.g. i += 0;)

Returns:
  whether the local variable reference is a read access to the variable.

#### isWriteAccess

    public final boolean isWriteAccess()

Returns whether the local variable reference is a write access to the variable. Note that a local variable reference can be read and written at once in case of compound assignments (e.g. i += 0;)

Returns:
  whether the local variable reference is a write access to the variable.